PDA

View Full Version : [ubuntu] libc6 upgrade



franck31
February 8th, 2011, 11:22 PM
Hi,

Is there a way to easily upgrade libc6 to the last version in Karmic ?
Currently the last version for Karmic is 2.10 and I would need at least 2.11.

I cannot upgrade to Lucid as it completely crashed my PC last time I tried, I had to reinstall it.
I need the latest version of dcraw for my camera support and dcraw uses 2.11 libc6.

Any idea how I should proceed ?

Claus7
December 18th, 2011, 04:16 PM
Hello,

libc6 is a very important library in linux boxes. Upgrading more or less means upgrading your whole system. I do not think that this is an easy task.

Regards!

Claus7
December 18th, 2011, 04:51 PM
Hello,

or using dchroot, which is not an easy task either.

Regards!

franck31
December 18th, 2011, 05:34 PM
Thanks, I figured that much.

I decided to give up on Ubuntu, I tried every single version since then (Maverick, narwhal and ocelot) and they all gave me some "kernel panic" on fresh installs. Also Unity is not my preferred interface.

I have move to debian squeeze with some testing packages and that suits me more.

Thanks anyway.